var map = L.map('map').setView([-22.902778, -43.207778], 5);


L.esri.basemapLayer("Topographic").addTo(map);

//L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/BDEP/dados_tecnicos_v1/MapServer/WMSServer?', {

//L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
//    layers: '1',
//    transparent: true,
//    format: 'image/png'
//}).addTo(map);


var basemaps = {
    'S\u00edsmica 3D Pos Stack (Confidencial)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '1',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'S\u00edsmica 3D Pos Stack (P\u00fablico)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '2',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'S\u00edsmica 2D Pos Stack (Confidencial)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '3',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'S\u00edsmica 2D Pos Stack (P\u00fablico)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '4',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'S\u00edsmica 3D Pre Stack (P\u00fablico)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '5',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'S\u00edsmica 3D Pre Stack (Confidencial)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '6',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'S\u00edsmica 2D Pre Stack (P\u00fablico)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '7',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'S\u00edsmica 2D Pre Stack (Confidencial)': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '8',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'Po\u00e7os de Desenvolvimento': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '9',
    transparent: true,
    format: 'image/png'
    }).addTo(map),

    'Po\u00e7os de Explora\u00e7\u00e3o': L.tileLayer.wms('http://app.anp.gov.br/arcgis/services/ANP_Public_Confidential/MapServer/WMSServer?', {
        layers: '10',
    transparent: true,
    format: 'image/png'
    }).addTo(map)
};

L.control.layers('',basemaps).addTo(map);



function popUp(feature, layer) {
	layer.bindPopup(feature.properties.name);
}

var myStyle = {
	"color": "#009999",
	"weight": 5,
	"opacity": 0.5
};

var request = new XMLHttpRequest();
request.open('GET', 'geojson/ilha_das_cobras.geojson', true);

request.onreadystatechange = function() {
  if (this.readyState === 4) {
    if (this.status >= 200 && this.status < 400) {
      // Success!
      var dataGeoJson = JSON.parse(this.responseText);

			L.geoJson(dataGeoJson, {
				onEachFeature: popUp,
//				style: myStyle
				style: function (feature) {
					switch (feature.properties.building) {
						case 'military': return {color: '#ff0000'};
						case 'school':	 return {color: '#00ff00'};

							break;

							break;
						default:

					}
				}

			}).addTo(map);

    } else {
      // Error :(
    }
  }
};

request.send();
request = null;

//
// //var marker = L.marker([-22.900864, -43.177828]).addTo(map);
//
// var landmarks = [
// 	[-22.900864, -43.177828],
// 	[-22.91, -43.1625],
// 	[-22.920278, -43.169722],
// 	[-22.903733, -43.192711]
// ];
//
// var landmarkIcon = L.icon({
// 	iconUrl: 'img/landmark-11.svg',
// 	iconSize: [24,24],
// 	iconAnchor: [12,22],
// 	popupAnchor: [0,-24]
// })
//
// var markersArray = [];
// // var circlesArray = [];
//
//
//
// for (var i=0; i < landmarks.length; i++) {
// 	markersArray[i] = new L.marker(landmarks[i], {icon: landmarkIcon}).addTo(map);
// 	// circlesArray[i] = new L.circle(landmarks[i], 500).addTo(map);
// //	markersArray[i].bindPopup('<p>'+landmarks[i]+'</p>');
// }
//
// var latlng;
//
// markersArray[0].on('click', function(e) {
// 	document.getElementById('name').innerHTML = 'Igreja da Candelaria';
// 	document.getElementById('coordinates').innerHTML = 'Latitude: '+e.latlng['lat']+ ', Longitude: '+ e.latlng['lng'];
// 	document.getElementById('link_anchor').innerHTML = 'Wikipedia Page';
// 	document.getElementById('link_anchor').setAttribute('href', 'https://pt.wikipedia.org/wiki/Igreja_de_Nossa_Senhora_da_Candel%C3%A1ria');
//
// 	latlng = e.latlng;
// });
//
// document.getElementById('center_button').addEventListener('click', function() {
// 	map.panTo(latlng);
// });
//
// // var popup = L.popup({
// // 	minWidth: 290
// // }).setContent('<img src="img/candelaria.jpg"><h3><a href="https://pt.wikipedia.org/wiki/Igreja_de_Nossa_Senhora_da_Candel%C3%A1ria" target="_blank">Igreja da Candelaria</a></h3><p>Igreja perto da ANP</p>');
// //
// // markersArray[0].bindPopup(popup);
// //
// // var polyline = new L.polyline(landmarks, {
// // 	//color: 'fuchsia'
// // 	color: '#14CCCC',
// // 	weight: 8
// // }).addTo(map);
// //
// // var polygon = new L.polygon(landmarks, {
// // 	//color: 'fuchsia'
// // 	color: '#14CCCC',
// // 	weight: 8,
// // 	fillColor: 'fuchsia',
// //  	fillOpacity: 1
// // }).addTo(map);
//
// // var circle = new L.circle([-22.91, -43.1625], 500).addTo(map);
